Register transfer
Allows to register a new transfer.
HTTP Request
POST /v1/transfers/register/
Request
Body fields:
| Parameter | Data type | Description |
|---|---|---|
client_id | String / Null | External ID of the client associated with the transfer. 40 characters max. Optional. |
direction | String | The direction of the transfer. Possible values: incoming, outgoing. |
network | String | ID of the network contains the transfer. Example: TRX. |
tx_hash | String | The hash of the transaction contains the transfer. |
token_id | String | The identifier of the token within the network. This is a contract address for ERC-20 tokens and “native” for a native token of the network. |
output_address | String | Address of the recipient of the transfer. |
disable_auto_check | Boolean | If true the transfer will not be checked. |
force_recheck | Boolean | If true the transfer will be checked even it's already checked before. |
risk_model | String / Null | The ID of the risk model that should be applied to the transfer. Optional. |
Notes
- On EVM networks,
token_idandoutput_addressare normalized to lowercase. - If
token_idis omitted (or equalsnull/"null"/ empty string), it is treated asnative.
Response
Returns a REGISTERED_TRANSFER_EXTRA object.
Example request
curl -X POST "https://kyt-api.bitok.org/v1/transfers/register/" --header "Content-Type: application/json" --header "Accept: application/json" --header "API-KEY-ID:{KEY_ID}" --header "API-TIMESTAMP:{TIMESTAMP}" --header "API-SIGNATURE:{SIGNATURE}" --data '{
"client_id": "id0001",
"direction": "incoming",
"network": "TRX",
"tx_hash": "60389a97a30523c696b904a5faadf93521a4478f2d8dbcef9c519751148b008d",
"token_id": "TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t",
"output_address": "TCM4UnCxL6p2KHbZeKETirjcDFJDCwhtqs"
}'
Example response
{
"id": "07067ca4-8552-47d3-b73b-61d305ddb8c5",
"client_id": "id0001",
"attempt_id": null,
"registered_at": "2026-01-29T10:09:59.199737+03:00",
"risk_level": "undefined",
"risk_score": null,
"network": "TRX",
"token_id": "TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t",
"token_symbol": "USDT",
"tx_status": "binding",
"tx_hash": "60389a97a30523c696b904a5faadf93521a4478f2d8dbcef9c519751148b008d",
"occurred_at": null,
"input_address": null,
"output_address": "TCM4UnCxL6p2KHbZeKETirjcDFJDCwhtqs",
"direction": "incoming",
"amount": null,
"value_in_fiat": null,
"check_state": {
"exposure": "queued",
"exposure_checked_at": null,
"counterparty": "none",
"counterparty_checked_at": null,
"sanctions": "none",
"sanctions_checked_at": null
},
"fiat_currency": "USD"
}
Try it
POST/v1/transfers/register/
API KEY ID
API KEY SECRET
Body (JSON)
HTTP Request
Press "Send Request" to generate HTTP request.
HTTP …
{
// Response will be shown here after the request.
}